Subject: Valves

From: [email-masked] (JACKSON)
Date: Wed, 12 Jan 1994 10:50:39 GMT

I am looking for a source of high pressure sub miniture solenoid, check,
and relief valves. When I say high pressure I mean delta pressures of
300 to 500 psi.
Even more obscurely a source of high pressure sub miniture pyrotechnic
valves, which probably dont exist.